List saved filter views
curl --request GET \
--url https://api-v2.watchcollect.com/v2/views \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/views"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"filters": {
"side": [
"for_sale"
],
"brand": [
"Rolex"
],
"reference": [
"126610LN"
],
"country_codes": {
"include": [
"31"
]
},
"phone_numbers_exclude": [
"85212345678"
],
"price": {
"lte": 1200000,
"currency": "EUR"
},
"message_timestamp_ms": {
"gte": 1777800000000
}
},
"sort": [
{
"field": "message_timestamp_ms",
"direction": "desc"
}
],
"projection": "message_card",
"is_system": true,
"created_at_ms": 123,
"updated_at_ms": 123,
"tab_key": "<string>",
"display_order": 123,
"created_by": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}views
List saved filter views
Returns universal saved filter definitions for the authenticated tenant.
GET
/
v2
/
views
List saved filter views
curl --request GET \
--url https://api-v2.watchcollect.com/v2/views \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/views"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"filters": {
"side": [
"for_sale"
],
"brand": [
"Rolex"
],
"reference": [
"126610LN"
],
"country_codes": {
"include": [
"31"
]
},
"phone_numbers_exclude": [
"85212345678"
],
"price": {
"lte": 1200000,
"currency": "EUR"
},
"message_timestamp_ms": {
"gte": 1777800000000
}
},
"sort": [
{
"field": "message_timestamp_ms",
"direction": "desc"
}
],
"projection": "message_card",
"is_system": true,
"created_at_ms": 123,
"updated_at_ms": 123,
"tab_key": "<string>",
"display_order": 123,
"created_by": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.